Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I have been using Ubuntu since 9.04 without many (serious) problems, I installed the 10.10 CD and put it on a flash drive (after a while or looking through the web to realize that the startup disk creator breaks with maverick. Anyway, when I booted from flash, it would get completely stuck (no cursor, no blinking line at the top, just nothing!). So I went back to my lucid install and did a "update-manager -d". When the upgrade was done, i rebooted, and was faced with the same problem again. I had to manually edit the "grub.cfg" file to set the lucid old kernel as default. Again I was faced with a new problem: virtualbox couldn't find the kernel files because upgrading the kernel deleted some files that were required.

What I need to know is if there is a way to upgrade from lucid to maverick without the new kernel (I still don't understand why it broke, but oh well!)

My specs are: Toshiba Satellite A215, Dual core AMD athlon-X2 ATI Radeon X1200 (been using the default driver for it since jaunty) Ubuntu Lucid with latest updates

Please help, and thanks in advance

share|improve this question
    
Maybe you can find why it crashes(?) with the new kernel by reading the log files? (Or ask somebody else to look at them, if you don't know what to look for.) –  JanC Oct 30 '10 at 0:47
    
Sure, i can send log files to people who could help, you just need to let me know what to send. I like the new features in maverick, and would really like to keep it if i can –  Wishing Star Oct 30 '10 at 8:10
    
I think you should revise this question on fixing your original problem (people will tell you what logs to attach, etc.) so we can get to the root of your problem. –  Jorge Castro Nov 1 '10 at 20:09
add comment

4 Answers

up vote 5 down vote accepted

I would recommend opening a bug (type ubuntu-bug linux) and trying to get the Maverick kernel fixed instead.

But, if you absolutely cannot avoid it, and need to run the Lucid kernel on a Maverick userspace, you will need to manually install (and update!) the Lucid kernel (as well as its headers, for VirtualBox). Here is the procedure I would recommend:

  1. Edit your /etc/apt/sources.list to include:

    deb http://archive.ubuntu.com/ubuntu lucid main restricted universe multiverse

    deb http://archive.ubuntu.com/ubuntu lucid-updates main restricted universe multiverse

    deb http://security.ubuntu.com/ubuntu lucid-security main restricted universe multiverse

  2. sudo apt-get update

  3. sudo apt-get install -y linux-image-2.6.32-25-generic linux-headers-2.6.32-25-generic
  4. Remove the Lucid lines from /etc/apt/sources.list
  5. sudo apt-get update
  6. Edit /etc/default/grub and change GRUB_DEFAULT to the number kernel that will be Lucid.
  7. sudo update-grub

I don't recommend removing linux-generic or linux-image-generic, since in theory the Maverick kernel will be fixed and you'll want to be able to always try the latest.

And again, since you will not be getting automatic updates, you will need to manually install newer Lucid kernels as they get published.

share|improve this answer
    
Thanks Kees, I was able to compile virtualbox again using your instructions. Until they fix the kernel problem, i think i'm good for now :) –  Wishing Star Nov 2 '10 at 5:56
add comment

yes you can the way I have set this up create a new partition and install on the second partition and when you reboot you will have the choice to boot either systems i hope this helps

share|improve this answer
    
Thank you for answering so quickly antman, however, this is basically the same thing I am doing now with editing the grub.cfg file isn't it? plus, I've always installed ubuntu on one partition (using entire disk) and I would feel better keeping up this practice, do I have any other options? –  Wishing Star Oct 29 '10 at 19:18
add comment

It is the same as configuring Grub: hold Shift during boot-up and you can still chose between various installed kernels.

But some features of Maverik are kernel-dependent. You can run any distribution with any kernel you want, however this isn't the officially supported default.

share|improve this answer
    
Thanks wishi, what i would like to know is if there is an option to disable upgrading the kernel with running "update-manager -d"?? –  Wishing Star Oct 29 '10 at 19:42
    
No, there isn't. This upgrades your whole release, using apt. Packages marked as dependent on the new kernel will force you to install it. However you are free to delete it afterwards. –  wishi Oct 29 '10 at 19:47
    
ok, in that case, how do i delete it after upgrade (and booting into the old kernel to get there)? would deleting the newer kernel restore the older one automatically? and would it return the files virtualbox keeps looking for under /etc/? if so then my problem would be solved! –  Wishing Star Oct 29 '10 at 19:50
add comment

If you are frustrated by upgrades, then why do it? It sounds like you are a good candidate for LTS only and not follow the six month upgrade cycle.

Lucid has 2 1/2 more years of support which is one more than Maverick which just came out. You can get newer packages by enabling backports in Lucid and keep your old kernel.

I sense more frustration to come because if you upgrade successfully to Maverick then you will be forced to upgrade every six months till the next LTS or do a fresh installation at some point, when you could just upgrade once from LTS to LTS. Just something to consider.

share|improve this answer
    
would kernel problems be fixed by then? and would i still get the nice upgrades like the ubntu font, sound menu, and the coming-up unity? –  Wishing Star Oct 29 '10 at 20:55
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.